Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.encog.ca.universe.basic
Class BasicContinuousCell

    java.lang.Object
      org.encog.ca.universe.basic.BasicContinuousCell

All Implemented Interfaces:
  Serializable, ContinuousCell, UniverseCell

    public class BasicContinuousCell

extends Object
implements ContinuousCell, Serializable

See Also:
  Serialized Form

Constructor Summary
`BasicContinuousCell(int size, double theMin, double theMax)`

Method Summary
`void` | `add(UniverseCell otherCell)`
`void` | `clamp(double low, double high)`
`void` | `copy(UniverseCell sourceCell)`
`double` | `get(int i)`
`double` | `getAvg()`
`void` | `multiply(UniverseCell otherCell)`
`void` | `randomize()`
`void` | `set(int i, double d)`
`void` | `set(int idx, double[] d)`
`int` | `size()`
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### BasicContinuousCell

    public BasicContinuousCell(int size,
                               double theMin,
                               double theMax)

Method Detail

### randomize

    public void randomize()

  Specified by:
    `randomize` in interface `UniverseCell`

### copy

    public void copy(UniverseCell sourceCell)

  Specified by:
    `copy` in interface `UniverseCell`

### getAvg

    public double getAvg()

  Specified by:
    `getAvg` in interface `UniverseCell`

### get

    public double get(int i)

  Specified by:
    `get` in interface `UniverseCell`

### set

    public void set(int i,
                    double d)

  Specified by:
    `set` in interface `UniverseCell`

### size

    public int size()

  Specified by:
    `size` in interface `UniverseCell`

### add

    public void add(UniverseCell otherCell)

  Specified by:
    `add` in interface `ContinuousCell`

### multiply

    public void multiply(UniverseCell otherCell)

  Specified by:
    `multiply` in interface `ContinuousCell`

### set

    public void set(int idx,
                    double[] d)

  Specified by:
    `set` in interface `ContinuousCell`
  Specified by:
    `set` in interface `UniverseCell`

### clamp

    public void clamp(double low,
                      double high)

  Specified by:
    `clamp` in interface `ContinuousCell`

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2014. All Rights Reserved.